<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class GeneralDocumentShare extends Model
{
    protected $fillable = ['general_document_id', 'user_id'];

    public function generalDocument(): BelongsTo
    {
        return $this->belongsTo(GeneralDocument::class);
    }

    public function user(): BelongsTo
    {
        return $this->belongsTo(User::class);
    }
}
